Bug 714394 - On LXDE startx the nm-applet in panel has controls grayed out.
On LXDE startx the nm-applet in panel has controls grayed out.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lxsession (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-18 18:02 EDT by jurek.bajor
Modified: 2012-08-07 15:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:48:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lxde startx causes nm-applet with control grayouts (3.44 KB, text/plain)
2011-06-18 18:02 EDT, jurek.bajor
no flags Details
how lxde started. manual start of nm-applet and messages. (3.95 KB, text/plain)
2011-06-19 02:44 EDT, jurek.bajor
no flags Details

  None (edit)
Description jurek.bajor 2011-06-18 18:02:16 EDT
Created attachment 505413 [details]
lxde startx causes nm-applet with control grayouts

Description of problem:

Note: this bug is not present if GUI logged in.

After I text logged in (startx) the following controls are grayed out
(disabled) in nm-applet in the LXDE panel (right-click on nm-applet):
- Enable Networking grayed out
- Edit Connections...
  Wired tab
  click on System eth0
  Edit is grayed out

Version-Release number of selected component (if applicable):

lxsession.i686       0.4.5-3.fc15             @koji-override-0/$releasever

How reproducible:

Start LXDE with xtartx

Steps to Reproduce:
1. $ startx > .startx.log 2>&1
2.
3.
  
Actual results:

controls grayed out

Expected results:

controls not grayed out

Additional info:
Comment 1 Christoph Wickert 2011-06-18 19:46:52 EDT
Again I guess there is no ConsoleKit session open.

Please kill nm-applet and then start it from a terminal. I bet you will see some "connection refused" warnings from dbus.  How do you actually start X, I mean, how did you configure X to start LXDE?
Comment 2 Christoph Wickert 2011-06-18 20:13:02 EDT
What does ck-list-sessions say in this case? If you logged in from a console you should see 2 sessions, for example:

$ ck-list-sessions 
Session4:
	unix-user = '500'
	realname = 'Christoph Wickert'
	seat = 'Seat1'
	session-type = ''
	active = TRUE
	x11-display = ':0'
	x11-display-device = '/dev/tty7'
	display-device = ''
	remote-host-name = ''
	is-local = TRUE
	on-since = '2011-06-19T00:07:38.272947Z'
	login-session-id = '218'
Session2:
	unix-user = '500'
	realname = 'Christoph Wickert'
	seat = 'Seat1'
	session-type = ''
	active = FALSE
	x11-display = ''
	x11-display-device = ''
	display-device = '/dev/tty2'
	remote-host-name = ''
	is-local = TRUE
	on-since = '2011-06-19T00:06:14.379836Z'
	login-session-id = '218'
	idle-since-hint = '2011-06-19T00:08:07.000888Z'
Comment 3 jurek.bajor 2011-06-19 02:44:01 EDT
Created attachment 505426 [details]
how lxde started. manual start of nm-applet and messages.

Here you have it explained.

Important:
Blinking lxpanel happened again !
I managed to capture some data that may be related.
See BZ 712768.
JB
Comment 4 Fedora End Of Life 2012-08-07 15:48:09 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.